g_DelegateCtrl = CDelegateCtrl.New()
g_TimerCtrl = CTimerCtrl.New()
g_TimeCtrl = CTimeCtrl.New()
g_CameraCtrl = CCameraCtrl.New()
g_HttpCtrl = CHttpCtrl.New()
g_ViewCtrl = CViewCtrl.New()
g_ActionCtrl = CActionCtrl.New()
g_EffectCtrl = CEffectCtrl.New()
g_EasyTouchCtrl = CEasyTouchCtrl.New()
g_ResCtrl = CResCtrl.New()
g_QQPluginCtrl = CQQPluginCtrl.New()
g_AndroidCtrl = CAndroidCtrl.New()
g_IOSCtrl = CIOSCtrl.New()
g_SdkCtrl = CSdkCtrl.New()
g_ShareCtrl = CShareCtrl.New()
g_BatchCallCtrl = CBatchCallCtrl.New()

--
g_NetCtrl = CNetCtrl.New()
g_MapTouchCtrl = CMapTouchCtrl.New()
g_WarTouchCtrl = CWarTouchCtrl.New()
g_MapCtrl = CMapCtrl.New()
g_NotifyCtrl = CNotifyCtrl.New()
g_WindowTipCtrl = CWindowTipCtrl.New()
g_WarCtrl = CWarCtrl.New()
g_WarOrderCtrl = CWarOrderCtrl.New()
g_HudCtrl = CHudCtrl.New()
g_MagicCtrl = CMagicCtrl.New()
g_LoginCtrl = CLoginCtrl.New()
g_ServerCtrl = CServerCtrl.New()
g_CreateRoleCtrl = CCreateRoleCtrl.New()
g_UITouchCtrl = CUITouchCtrl.New()
g_ItemCtrl = CItemCtrl.New()
g_NFTCtrl =  CNFTCtrl.New()
g_ChatCtrl = CChatCtrl.New()
g_MaskWordCtrl = CMaskWordCtrl.New()
g_GmCtrl = CGmCtrl.New()
g_AttrCtrl = CAttrCtrl.New()
g_TaskCtrl = CTaskCtrl.New()
g_DialogueCtrl = CDialogueCtrl.New()
g_TeamCtrl = CTeamCtrl.New()
g_FriendCtrl = CFriendCtrl.New()
g_SkillCtrl = CSkillCtrl.New()
g_MainMenuCtrl = CMainMenuCtrl.New()
g_SysSettingCtrl = CSysSettingCtrl.New()
g_MailCtrl = CMailCtrl.New()
g_LinkInfoCtrl = CLinkInfoCtrl.New()
g_TalkCtrl = CTalkCtrl.New()
g_SpeechCtrl = CSpeechCtrl.New()
g_AudioCtrl = CAudioCtrl.New()
--g_QiniuCtrl = CQiniuCtrl.New()
g_PartnerCtrl = CPartnerCtrl.New()
g_HotKeyCtrl = CHotKeyCtrl.New()
g_OrgCtrl = COrgCtrl.New()
g_OrgWarCtrl = COrgWarCtrl.New()
g_GuideCtrl = CGuideCtrl.New()
g_HouseCtrl = CHouseCtrl.New()
g_HouseTouchCtrl = CHouseTouchCtrl.New()
g_NpcShopCtrl = CNpcShopCtrl.New()
g_ArenaCtrl = CArenaCtrl.New()
g_RankCtrl = CRankCtrl.New()
g_ActivityCtrl = CActivityCtrl.New()
g_StateCtrl = CStateCtrl.New()
g_EndlessPVECtrl = CEndlessPVECtrl.New()
g_PataCtrl = CPataCtrl.New()
g_TitleCtrl = CTitleCtrl.New()
g_EquipFubenCtrl = CEquipFubenCtrl.New()
g_ScheduleCtrl = CScheduleCtrl.New()
g_TreasureCtrl = CTreasureCtrl.New()
g_LeiTaiCtrl = CLeiTaiCtrl.New()
g_TeachCtrl = CTeachCtrl.New()
g_OpenUICtrl = COpenUICtrl.New()
g_AnLeiCtrl = CAnLeiCtrl.New()
g_LoginRewardCtrl = CLoginRewardCtrl.New()
g_ApplicationCtrl = CApplicationCtrl.New()
g_AchieveCtrl = CAchieveCtrl.New()
g_DialogueAniCtrl = CDialogueAniCtrl.New()
g_UploadDataCtrl = CUploadDataCtrl.New()
g_MapBookCtrl = CMapBookCtrl.New()
g_EqualArenaCtrl = CEqualArenaCtrl.New()
g_EqualArenaWorldCtrl = CEqualArenaWorldCtrl.New()
g_PowerGuideCtrl = CPowerGuideCtrl.New()
g_ForetellCtrl = CForetellCtrl.New()
g_TerrawarCtrl = CTerrawarCtrl.New()
g_TravelCtrl = CTravelCtrl.New()
g_FieldBossCtrl = CFieldBossCtrl.New()
g_SocialityCtrl = CSocialityCtrl.New()
g_WelfareCtrl = CWelfareCtrl.New()
g_ChoukaCtrl = CChoukaCtrl.New()
g_QRCodeCtrl = CQRCodeCtrl.New()
g_PlayerBuffCtrl = CPlayerBuffCtrl.New()
g_OnlineGiftCtrl = COnlineGiftCtrl.New()
g_ConvoyCtrl = CConvoyCtrl.New()
g_ChapterFuBenCtrl = CChapterFuBenCtrl.New()
g_TeamPvpCtrl = CTeamPvpCtrl.New()
g_SceneExamCtrl = CSceneExamCtrl.New()
g_MonsterAtkCityCtrl = CMonsterAtkCityCtrl.New()
g_ShowWarCtrl = CShowWarCtrl.New()
g_ClubArenaCtrl = CClubArenaCtrl.New()
g_HuntPartnerSoulCtrl = CHuntPartnerSoulCtrl.New()
g_MarryCtrl = CMarryCtrl.New()
g_GradeGiftCtrl = CGradeGiftCtrl.New()
g_CVoteAndShareCtrl= CVoteAndShareCtr.New()